org.bdgenomics.adam.apis.java

# JavaADAMContext

#### class JavaADAMContext extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JavaADAMContext
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new JavaADAMContext(ac: ADAMContext)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val ac: ADAMContext

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getSparkContext: JavaSparkContext

    returns

      Returns the Java Spark Context associated with this Java ADAM Context.

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def loadAlignments(filePath: String): AlignmentRecordRDD

    Loads in an ADAM read file.

    Loads in an ADAM read file. This method can load SAM, BAM, and ADAM files.

    filePath

      Path to load the file from.

    returns

      Returns a read RDD.

17. #### def loadFeatures(filePath: String): FeatureRDD

    Loads in features.

    Loads in features.

    filePath

      The path to load the file from.

    returns

      Returns a FeatureRDD.

18. #### def loadFragments(filePath: String): FragmentRDD

    Loads in read pairs as fragments.

    Loads in read pairs as fragments.

    filePath

      The path to load the file from.

    returns

      Returns a FragmentRDD.

19. #### def loadGenotypes(filePath: String): GenotypeRDD

    Loads in genotypes.

    Loads in genotypes.

    filePath

      The path to load the file from.

    returns

      Returns a GenotypeRDD.

20. #### def loadSequences(filePath: String): NucleotideContigFragmentRDD

    Loads in sequence fragments.

    Loads in sequence fragments.

    Can load from FASTA or from Parquet encoded NucleotideContigFragments.

    filePath

      Path to load the file from.

    returns

      Returns a NucleotideContigFragment RDD.

21. #### def loadVariants(filePath: String): VariantRDD

    Loads in variants.

    Loads in variants.

    filePath

      The path to load the file from.

    returns

      Returns a VariantRDD.

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped